Upgraded to WordPress 2.3

I just upgraded to WordPress 2.3. When using Konqueror (my favourite browser) the comment approval is slightly broken (when I tag a comment as spam it usually just turns red and doesn’t disappear from the main Comments tab) and I have to refresh that window more often than usual to make sure I got the result I desired. Also the Sidebar Widget editing is totally broken in Konqueror, I guess I’ll have to login with Firefox to get the new tags feature working.

Also I have got a few WordPress errors about the table “$table_prefix” . “post2cat” not existing. The table in question doesn’t exist in any of my blogs.

So far this is the worst WordPress upgrade experience I’ve had (I started on 2.0).

4 thoughts on “Upgraded to WordPress 2.3”

  1. Chris Samuel says:

    Hi Russell,

    The post2cat problem will be caused by you having plugins that are accessing the tables that were removed in WP 2.3.

    Found an interesting blog post about testing your blog under a separate URL that I might try once I get the courage up to investigate upgrading from the WP 2.0.x series..

    Best of luck!
    Chris

  2. etbe says:

    Chris: Thanks for the tip. I have started going through my plugins and upgrading them.

    I need to implement my plan to make Debian packages of the plugins and publish them. As well as making my upgrades easier it will hopefully get me feedback on which ones need to be updated.

  3. etbe says:

    Looks like it was the Google Sitemaps plugin.

  4. Chris Samuel says:

    Yeah, that’s the one that was mentioned prominently as being problematic in the Preparing for WordPress 2.3 document. :-(

Comments are closed.